html, body {
    margin: 0;
    padding: 0;
}

.container{
  position: relative;
}

.header {
    position: relative;
    height: 600px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-bg {
    position: absolute;
    inset: 0;

    background: url('plans_house.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    mask-image: linear-gradient(to bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    -webkit-mask-image: linear-gradient(to bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
}

.box1{
    position: relative;
    display: flex;
    background-color: #ffffff;
}

.firsthalf{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #fff;
    margin: auto;
    width: 70%;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.15);
    position: relative;
    z-index: 2;
    margin-top: -350px;
}

.firsthalf .text-large{
  text-align: center;
  font-size: 45px;
  font-weight: bold;
  color: #04AA6D;
  text-shadow: 5px 5px 10px gainsboro;
}

.firsthalf .benefits_normal{
    position: relative;
    list-style: none;
    padding: 0;
    margin-right: 0;
    display: inline-flex;
}

.benefits_normal li{
  margin: 0 1rem;
  font-size: 20px;
}

.benefits_normal li::before{
  content: "✓";
  font-weight: bold;
  color: #04AA6D;
  font-size: 24px;
}

hr.rounded_line {
  border-top: 8px solid #bbb;
  border-radius: 10px;
  width: 100%;
}

.firsthalf p{
  text-align: justify;
  font-size: 16px;
}

.firsthalf label{
  text-align: left;
  display: inline-block;
}

#Kapcsolat{
    text-align: center;
}

#mail_form {
	margin: auto;
	width: 530px;
	text-align: left;
}

.text-footer {
    font-family: 'Ubuntu', sans-serif;
    color: white;
}

footer {
    text-align: center;
    padding: 30px;
    background-color: #333;
}

body {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
}

.topnav {
  overflow: hidden;
  position: absolute; /*korábban relative*/
  background-color: #333;
  z-index: 3;
  top: 0;
  left: 0;
  width: 100%;
}

.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  min-width: 100px;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
  opacity: 1;
}

.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

/*.topnav button {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  font-size: 17px;
  background: none;
  border: none;
}*/

.topnav .icon {
  display: none;
  mask: url(navbar_icon2.svg);
  width: 19.5px;
  height: 19.5px;
  background: #f2f2f2;
  mask-size: 30%;
  mask-repeat: no-repeat;
  margin-right: 15px;
  /*mask-position: center center;*/
}


.topnav .phone{
  float: right;
  display: inline-flex;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.phone::before {
    content: "";
    display: inline-flex;

    width: 19.5px;
    height: 19.5px;
    padding-left: 15px;

    background-image: url("telephone_icon.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.hero-content{display: none;}

@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(6px);
    }
}

.more_info{
  display: none;
  flex-direction: column;
  position: relative;
  bottom: 0px; /*80px*/
  left: 0;
  width: 100%;
  text-align: center;
}

.hero-content .more_info p{
  font-size: 16px;
  font-weight: bold;
  color: #333;
  text-shadow: none;
  margin-bottom: 0;
}

.more_info .scroll-down {
    margin: 0 auto 0;
    width: 50px;
    height: 50px;
    background: url("arrow-down.svg") no-repeat center/contain;
    opacity: 0.8;
    animation: bounce 1.5s infinite;
}

html {
    scroll-behavior: smooth;
}

@media only screen and (max-width: 750px) {

  .topnav{
    max-height: 48px; /* csak a navbar magassága */
    transition: max-height 0.5s ease;
  }

  .topnav a{
    float: left;
  }

  .topnav a:not(.active) {display: none;}

  .topnav a.icon {
    opacity: 1;
    float: right;
    display: block;
    mask-position: center right;
  }

  .topnav.responsive .icon {
    opacity: 1;
    mask: url("close_icon.svg");
    position: absolute;
    width: 19.5px;
    height: 19.5px;
    background: #ffa601f1;
    mask-size: 40%;
    mask-repeat: no-repeat;
    mask-position: center right;
    right: 0;
    top: 0;
  }
  
  .topnav.responsive{
    max-height: 300px;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    /*background: rgba(51, 51, 51, 0.50);*/
    box-shadow: 0 4px 10px rgba(0,0,0,0.4);
  }

  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
    opacity: 1;
  }

  .header{
    min-height: 100vh;
  }
  
  .header-bg{
    filter: brightness(50%);
    background: url('plans_house_mobile.jpg') 50% 10%/cover no-repeat;
  }

  .firsthalf {
    margin-top: 48px;
    width: 100%;
  }


  .kapcsolat .header{
    display: none;
  }

  /* HERO TEXT */
.hero-content {
    position: relative;
    /*transform: translateY(-10%);*/
    display: block;
    text-align: center;
    color: white;
    z-index: 1;
}

.hero-content h1 {
    font-size: 28px;
    margin-bottom: 10px;
    text-shadow: 5px 5px 10px black;
}

.hero-content p {
    font-size: 20px;
    margin-bottom: 10px;
    text-shadow: 5px 5px 10px black;
}

.benefits_normal li{
  display: none;
}

.benefits{
    list-style: none;
    padding: 0;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    text-shadow: 5px 5px 10px black;
}

.benefits li{
  margin: 5px 0;
  font-size: 20px;
}

.benefits li::before{
  content: "✓";
  color: #04AA6D;
  margin-right: 8px;
  font-size: 24px;
}

/* GOMBOK */
.cta {
    display: inline-block;
    text-align: center;
    padding: 12px;
    margin-top: 30px;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
}

.primary {
    background: #04AA6D;
    color: white;
    margin-right: 5px;
}

.secondary {
    background: whitesmoke;
    color: #333;
    margin-left: 5px;
}

.cta::before {
    margin-right: 4px;
}

/* telefon ikon */
.primary::before {
    content: "📞";
}

/* email ikon */
.secondary::before {
    content: "✉";
}

.more_info{
	display: flex;
}
}

@media only screen and (max-height: 670px) {

  /*.hero-content{
      transform: translateY(-10%);
  }*/

  .hero-content h1 {
    text-align: center;
    /*text-shadow: 5px 5px 10px black;*/
    font-size: 24px;
    color: white;
    margin-bottom: 10px;
  }

.hero-content p {
    text-align: center;
    /*text-shadow: 5px 5px 10px black;*/
    font-size: 20px;
    color: white;
    margin-bottom: 10px;
}

.benefits li{
  margin: 2px 0;
  text-shadow: 5px 5px 10px black;
  font-size: 20px;
  color: white;
}

.benefits li::before{
  content: "✓";
  color: #04AA6D;
  margin-right: 8px;
  font-size: 20px;
}
}


input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=submit] {
  background-color: #04AA6D;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #45a049;
}

#container{
  width: 80%;
  margin: auto;
  padding-top: 40px;
}

.error {color: #FF0000;}

